%define oname kmix

Summary:	Plasma 5 Digital Mixer
Name:		plasma5-%{oname}
Version:	16.04.3
Release:	1
Epoch:		3
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://www.kde.org/applications/multimedia/kmix/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{oname}-%{version}.tar.xz
Patch0:		kmix-4.9.2-nodisplay.patch
Patch1:		kmix-15.04.1-popup-margins.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5globalaccel-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	kf5kdelibs4support-devel
BuildRequires:	kf5plasma-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libcanberra)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(libpulse-mainloop-glib)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
Requires:	plasma5-dataengine-mixer
Conflicts:	kmix

%description
KMix is an application to allow you to change the volume of your sound
card. Though small, it is full-featured, and it supports several
platforms and sound drivers.

%files
%{_kde5_applicationsdir}/kmix.desktop
%{_kde5_autostart}/kmix_autostart.desktop
%{_kde5_autostart}/restore_kmix_volumes.desktop
%{_kde5_bindir}/kmix
%{_kde5_bindir}/kmixctrl
%{_kde5_bindir}/kmixremote
%{_kde5_datadir}/kmix
%{_kde5_iconsdir}/*/*/*/*
%{_kde5_libdir}/libkdeinit5_kmix.so
%{_kde5_libdir}/libkdeinit5_kmixctrl.so
%{_kde5_services}/kmixctrl_restore.desktop
%{_kde5_services}/kded/kmixd.desktop
%{_kde5_xmlguidir}/kmix/kmixui.rc
%{_datadir}/dbus-1/interfaces/org.kde.kmix.control.xml
%{_datadir}/dbus-1/interfaces/org.kde.kmix.mixer.xml
%{_datadir}/dbus-1/interfaces/org.kde.kmix.mixset.xml
%{_qt5_plugindir}/libkded_kmixd.so

#----------------------------------------------------------------------------

%package -n plasma5-dataengine-mixer
Summary:	Plasma 5 mixer dataengine
Group:		Graphical desktop/KDE

%description -n plasma5-dataengine-mixer
Plasma 5 mixer dataengine.

%files -n plasma5-dataengine-mixer
%{_kde5_datadir}/plasma/services/mixer.operations
%{_kde5_services}/plasma-dataengine-mixer.desktop
%{_qt5_plugindir}/plasma/dataengine/plasma_engine_mixer.so

#------------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1
%patch1 -p1

%build
%cmake_kde5 -DKMIX_KF5_BUILD:BOOL=ON
%make

%install
%makeinstall_std -C build


%changelog

* Wed Jul 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3:16.04.3-1
- (2e97f86) New version 16.04.3


